> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maalbar.dk/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a location

> Create a location for the current customer



## OpenAPI

````yaml post /logistics/locations
openapi: 3.1.0
info:
  title: MÅLBAR LCA API
  version: 1.0.0
  description: API for Life Cycle Assessment (LCA) screening capabilities
servers:
  - url: https://api.maalbar.dk/v1
    description: MÅLBAR LCA API
security: []
paths:
  /logistics/locations:
    post:
      tags:
        - Locations
      summary: Create a location
      description: Create a location for the current customer
      operationId: post-logistics-locations
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTransportLocationApiInput'
      responses:
        '201':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateTransportLocationApiOutput'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CreateTransportLocationApiInput:
      $ref: '#/components/schemas/CreateTransportLocationSchema'
    CreateTransportLocationApiOutput:
      type: object
      properties:
        publicId:
          type: string
        name:
          type: string
        externalId:
          type: string
          nullable: true
        type:
          type: string
        address:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        zip:
          type: string
          nullable: true
        weeksRotation:
          type: number
          nullable: true
        totalCapacity:
          type: number
          nullable: true
        shelfHeight:
          type: number
          nullable: true
        tier:
          type: string
          nullable: true
        own:
          type: boolean
          default: false
        vatNumber:
          type: string
          nullable: true
        stores:
          type: number
          nullable: true
        timeperiod:
          type: string
          nullable: true
        geographical:
          type: object
          properties:
            location:
              type: object
              properties:
                publicId:
                  type: string
                name:
                  type: string
              required:
                - publicId
                - name
          required:
            - location
        supplier:
          type: object
          properties:
            publicId:
              type: string
            name:
              type: string
          required:
            - publicId
            - name
          nullable: true
      required:
        - publicId
        - name
        - type
        - own
        - geographical
    CreateTransportLocationSchema:
      type: object
      properties:
        geographical:
          type: object
          properties:
            location:
              type: object
              properties:
                publicId:
                  type: string
                  minLength: 16
                  maxLength: 16
                  example: lli_xxxxxxxxxxxx
              required:
                - publicId
          required:
            - location
        name:
          type: string
        externalId:
          type: string
          nullable: true
        type:
          type: string
        supplier:
          type: object
          properties:
            publicId:
              type: string
              minLength: 16
              maxLength: 16
              example: tls_xxxxxxxxxxxx
          required:
            - publicId
          nullable: true
        address:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        zip:
          type: string
          nullable: true
        weeksRotation:
          type: number
          nullable: true
        totalCapacity:
          type: number
          nullable: true
        shelfHeight:
          type: number
          nullable: true
        tier:
          type: string
          nullable: true
        own:
          type: boolean
          default: false
        vatNumber:
          type: string
          nullable: true
        stores:
          type: number
          nullable: true
        timeperiod:
          type: string
          nullable: true
      required:
        - type
  responses:
    '400':
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Invalid request parameters
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Authentication required
    '404':
      description: Not Found
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Resource not found
    '500':
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: An unexpected error occurred
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````